Software unable to run

Arduino software not able to run on my Mac - keep getting message to download and install legacy Java SE 6. Can't find this version, only Java 8. I am currently running OS X 10.10.1 (Yosemite) which I installed last week, at least 2 weeks after I downloaded and installed arduino software successfully (or so I thought!). Please help - I have a 12 year old son who is keen to get going.